export const myMixins = {
  components: {},
  data() {
    return {
      mixinsTimer:null,
	  mixinsTime:0,
	  btnTimer:null
    };
  },
  onShow(){
	  // pages/index/index //首页
	  // pages/index/detail //盲盒详情
	  // pages/index/card //使用提示卡
	  // pages/index/confirmOrder //盲盒确认订单
	  // pages/index/confirmOrder //盲盒支付成功页面
	  // pages/index/prize //开奖页面
	  
	  // pages/product/product //商品列表
	  // pages/search/index//商品搜索
	  // pages/search/search-list//商品搜索列表
	  // pages/product/detail //商品详情页
	  // pages/order/confirm //商品确认订单
	  // pages/shop/paySuccess //商品支付成功页面
	  
	  
	  // pages/mine/sign//签到
	  
	  
	  // pages/mine/index //个人中心
	  // pages/mine/setting //设置
	  // pages/mine/editName //修改昵称
	  // pages/agreement/index //用户协议
	  // pages/agreement/privacy //隐私政策
	  // pages/mine/about //关于我们
	  // pages/mine/point //积分使用记录
	  // pages/mine/coupon //优惠券
	  // pages/mine/moreCoupon //更多优惠券
	  // pages/mine/boxRecrd //物品
	  // pages/mine/boxConfirm//物品发货提交订单
	  // pages/order/index//我的订单
	  // pages/mine/orderStatusDetail//订单详情
	  // pages/mine/boxOrder//盲盒订单
	  // pages/mine/address//地址管理
	  // pages/mine/addAddress //编辑新增地址
	  // pages/mine/collect//收藏列表
	  
	  
	  const pages = getCurrentPages();
	  const currentPage = pages[pages.length - 1];
	  const url = currentPage.route; // 当前页面路径
	  const options = currentPage.options; // 当前页面参数
	  console.log(url);
	  this.mixinsTimer = setInterval(() => {
	  		  this.mixinsTime++
	  },1000)
  },
  onHide(){
	  clearInterval(this.mixinsTimer)
	  console.log(this.mixinsTime)
	  this.mixinsTimer = null
	  this.mixinsTime = 0
	  console.log('页面隐藏，即将返回上一页，');
	  
	  this.btnTimer = Math.floor(Math.random() * (1 - 100000 + 1)) + 100000
	  clearInterval(this.btnTimer)
	  
  },
  onUnload(){
	  console.log('页面卸载，即将返回上一页');
  },
  mounted() {
    
  },
  methods: {
  },
};
